VirtualBox

Ticket #8603 (closed defect: fixed)

Opened 3 years ago

Last modified 2 years ago

Windows Installer: Python 2.7 bindings are not getting installed.

Reported by: Technologov Owned by:
Priority: minor Component: installer
Version: VirtualBox 4.0.4 Keywords:
Cc: Guest type: other
Host type: Windows

Description

Host: Win7, x64, python-2.7.1 (32-bit), VBox 4.0.4

Python bindings are not getting installed.

I have 32-bit python because some libs such as PIL are not available for 64-bit.

This worked with python 2.5.x (also 32-bit)

-Technologov

Change History

comment:1 Changed 3 years ago by frank

  • Priority changed from major to minor

The VirtualBox packages for Windows are compiled against Python 2.5.2.

comment:2 Changed 3 years ago by Technologov

Can the Windows installer mention this at least ?

Best would be to gray-out "python bindings" checkbox in VBox Windows installer, if no supported version of python can be detected.

-Technologov

comment:3 Changed 3 years ago by Technologov

Should also check for "pywin" version, because v213 is known to be buggy. See Bug #8605

-Technologov

comment:4 Changed 3 years ago by Technologov

With GNS3 porting ongoing this issue becomes more important.

Still relevant for VBox 4.0.6, It affects both python 2.7 and 2.6.x.

It turns out, that 'vboxapisetup.py' script fails on fresh new Windows 7 x64 due to UAC. Disabling UAC solved it. Presumably it also affects Vista and 32-bit ver. of Win7.

Please change topic to:

"vboxapisetup.py fails, Python bindings are not getting installed due to UAC."

-Technologov, 24.4.2011.

comment:5 Changed 2 years ago by Technologov

OK, this is now works in 4.1.6. (Guest: Win7 x64)

FIXED.

-Technologov

comment:6 Changed 2 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Thanks for the feedback!

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use